## net.i2p.router.networkdb
Class PublishLocalRouterInfoJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.networkdb.PublishLocalRouterInfoJob

All Implemented Interfaces:
  Job

    public class PublishLocalRouterInfoJob

extends JobImpl

Publish the local router's RouterInfo every 5 to 10 minutes

Field Summary
`(package private) static long` `PUBLISH_DELAY`

Constructor Summary
`PublishLocalRouterInfoJob(RouterContext ctx)`

Method Summary
`java.lang.String` `getName()` Descriptive name of the task
`void` `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PUBLISH_DELAY

    static final long PUBLISH_DELAY

See Also:
  Constant Field Values

Constructor Detail

### PublishLocalRouterInfoJob

    public PublishLocalRouterInfoJob(RouterContext ctx)

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.